rpms/kernel/devel/scripts get-snapshot.sh,1.5,1.6

Dave Jones (davej) fedora-extras-commits at redhat.com
Thu Jul 17 00:51:56 UTC 2008


Author: davej

Update of /cvs/pkgs/rpms/kernel/devel/scripts
In directory cvs-int.fedora.redhat.com:/tmp/cvs-serv6137/scripts

Modified Files:
	get-snapshot.sh 
Log Message:
Merge Linux-2.6 up to commit 8a0ca91e1db5de5eb5b18cfa919d52ff8be375af


Index: get-snapshot.sh
===================================================================
RCS file: /cvs/pkgs/rpms/kernel/devel/scripts/get-snapshot.sh,v
retrieving revision 1.5
retrieving revision 1.6
diff -u -r1.5 -r1.6
--- get-snapshot.sh	16 Jul 2008 17:06:08 -0000	1.5
+++ get-snapshot.sh	17 Jul 2008 00:51:11 -0000	1.6
@@ -8,16 +8,27 @@
 
 cd ~/src/git-trees/kernel/linux-2.6
 git pull
-if [ "$?" = "0" ]; then
+
+DIF=$(git diff $SHA1.. | wc -l)
+if [ "$DIF" = "0" ]; then
   echo Nothing changed.
   exit
 fi
 
-perl -e 's|^#ApplyPatch\ git-linus.diff|ApplyPatch\ git-linus.diff|' kernel.spec
+git diff $SHA1.. > ~/src/fedora/kernel/devel/git-linus-new.diff
+cd ~/src/fedora/kernel/devel/
+DIF=$(cmp git-linus.diff git-linus-new.diff)
+if [ "$?" = "0" ]; then
+  echo Nothing new in git
+  rm -f git-linus-new.diff
+  exit
+fi
+mv git-linus-new.diff git-linus.diff
 
-git diff $SHA1.. > ~/src/fedora/kernel/devel/git-linus.diff
+perl -e 's|^#ApplyPatch\ git-linus.diff|ApplyPatch\ git-linus.diff|' kernel.spec
 
 echo "- Merge Linux-2.6 up to" $(git log | head -n1) > ~/src/fedora/kernel/devel/clog.tmp
 cd ~/src/fedora/kernel/devel/
 bumpspecfile.py kernel.spec "$(cat clog.tmp)"
 rm -f clog.tmp
+make clog




More information about the scm-commits mailing list